Package com.sap.ai.sdk.prompt.registry.model

# Interface SAPDocumentTranslationOutputTargetLanguage

All Known Implementing Classes:
  `SAPDocumentTranslationOutputTargetLanguage.InnerSAPDocumentTranslationApplyToSelector`, `SAPDocumentTranslationOutputTargetLanguage.InnerString`

public interface SAPDocumentTranslationOutputTargetLanguage
SAPDocumentTranslationOutputTargetLanguage

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final record`
  `SAPDocumentTranslationOutputTargetLanguage.InnerSAPDocumentTranslationApplyToSelector`
  Helper class to create `SAPDocumentTranslationApplyToSelector` that implements `SAPDocumentTranslationOutputTargetLanguage`.
  `static final record`
  `SAPDocumentTranslationOutputTargetLanguage.InnerString`
  Helper class to create `String` that implements `SAPDocumentTranslationOutputTargetLanguage`.

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static SAPDocumentTranslationOutputTargetLanguage.InnerString`
  `create(String val)`
  Creator to enable deserialization of `String` .
  `static SAPDocumentTranslationOutputTargetLanguage.InnerSAPDocumentTranslationApplyToSelector`
  `createInnerSAPDocumentTranslationApplyToSelector(SAPDocumentTranslationApplyToSelector val)`
  Creator to enable deserialization of `SAPDocumentTranslationApplyToSelector` .

- ## Method Details

  - ### create

    @Nonnull static SAPDocumentTranslationOutputTargetLanguage.InnerString create(@Nonnull String val)
    Creator to enable deserialization of `String` .
    Parameters:
      `val` - the value to use
    Returns:
      a new instance of `SAPDocumentTranslationOutputTargetLanguage.InnerString`.

  - ### createInnerSAPDocumentTranslationApplyToSelector

    @Nonnull static SAPDocumentTranslationOutputTargetLanguage.InnerSAPDocumentTranslationApplyToSelector createInnerSAPDocumentTranslationApplyToSelector(@Nonnull SAPDocumentTranslationApplyToSelector val)
    Creator to enable deserialization of `SAPDocumentTranslationApplyToSelector` .
    Parameters:
      `val` - the value to use
    Returns:
      a new instance of `SAPDocumentTranslationOutputTargetLanguage.InnerSAPDocumentTranslationApplyToSelector`.